import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./location-map.stories";

<Meta of={ComponentStories} name="Docs" />

# Location Map

Remember to place the configs in the right place and to remove the loading of scripts.
Lat_lang removed. ajaxUrl --> fetchUrl.

<Canvas of={ComponentStories.Default}></Canvas>

## Baidu Map for China

To test the Baidu map inside storybook, we need to run on Port 80 on one of the following domains:

-   trumpf.local.tru
-   cms.trumpf.com.dev.tru
-   live.trumpf.com.dev.tru
-   trumpf.com.cms.qa.tru
-   www-q.trumpf.com
-   trumpf.com.cms.tru

This can be achieved via editing the hosts file on your machine. And to run storybook on the port 80, you can temporarily change the following line in `packages/docs/package.json`:

```json
    "storybook:watch": "wait-on ../../dist/docs-custom-elements.json && sudo storybook dev -p 80 --quiet",
```

<Canvas of={ComponentStories.Baidu}></Canvas>
